service.h File Reference
`#include <ubuntu/visibility.h>`
`#include <ubuntu/application/location/controller.h>`
`#include <ubuntu/application/location/session.h>`
Include dependency graph for service.h:

Go to the source code of this file.

## Typedefs

typedef UbuntuApplicationLocationServiceRequirement | UALocationServiceRequirement
typedef unsigned int | UALocationServiceRequirementsFlags
| Bitfield type for summarizing an application's requirements. More...
typedef UbuntuApplicationLocationServiceError | UALocationServiceError

## Enumerations

enum | UbuntuApplicationLocationServiceRequirement { UA_LOCATION_SERVICE_REQUIRE_ALTITUDE = 1 << 0, UA_LOCATION_SERVICE_REQUIRE_HEADING = 1 << 1, UA_LOCATION_SERVICE_REQUIRE_VELOCITY = 1 << 2 }
| Application-specific requirements. More...
enum | UbuntuApplicationLocationServiceError { UA_LOCATION_SERVICE_ERROR_NONE = 0, UA_LOCATION_SERVICE_ERROR_NO_CONNECTION = 1, UA_LOCATION_SERVICE_ERROR_NO_ACCESS = 2, UA_LOCATION_SERVICE_ERROR_GENERIC_ERROR = 3 }
| Possible error codes reported when trying to create a session. More...

## Functions

UBUNTU_DLL_PUBLIC UALocationServiceSession * | ua_location_service_create_session_for_low_accuracy (UALocationServiceRequirementsFlags flags)
| Creates a new session with the location service for low positional accuracy requirements. More...
UBUNTU_DLL_PUBLIC UALocationServiceSession * | ua_location_service_try_create_session_for_low_accuracy (UALocationServiceRequirementsFlags flags, UALocationServiceError *status)
| Tries to reate a new session with the location service for low positional accuracy requirements. More...
UBUNTU_DLL_PUBLIC UALocationServiceSession * | ua_location_service_create_session_for_high_accuracy (UALocationServiceRequirementsFlags flags)
| Creates a new session with the location service for high positional accuracy requirements. More...
UBUNTU_DLL_PUBLIC UALocationServiceSession * | ua_location_service_try_create_session_for_high_accuracy (UALocationServiceRequirementsFlags flags, UALocationServiceError *status)
| Tries to reate a new session with the location service for high positional accuracy requirements. More...
UBUNTU_DLL_PUBLIC UALocationServiceController * | ua_location_service_create_controller ()
| Creates a new controller for the location service. More...

## Typedef Documentation

typedef UbuntuApplicationLocationServiceError UALocationServiceError

Definition at line 83 of file service.h.

typedef UbuntuApplicationLocationServiceRequirement UALocationServiceRequirement

Definition at line 63 of file service.h.